org.apache.datasketches.tuple

## Class Sketches

- java.lang.Object
- - org.apache.datasketches.tuple.Sketches

    public final class Sketches
    extends Object

Convenient static methods to instantiate generic tuple sketches.

### Constructor Summary

Constructors
Constructor and Description
`Sketches()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <S extends Summary> Sketch<S>` `createEmptySketch()`
`static <S extends Summary> Sketch<S>` `heapifySketch(org.apache.datasketches.memory.Memory mem, SummaryDeserializer<S> deserializer)` Instantiate a Sketch from a given Memory.
`static <U,S extends UpdatableSummary<U>> UpdatableSketch<U,S>` `heapifyUpdatableSketch(org.apache.datasketches.memory.Memory mem, SummaryDeserializer<S> deserializer, SummaryFactory<S> summaryFactory)` Instantiate UpdatableSketch from a given Memory

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Sketches

    public Sketches()

### Method Detail

#### createEmptySketch

    public static <S extends Summary> Sketch<S> createEmptySketch()

Type Parameters:
  `S` - Type of Summary
Returns:
  an empty instance of Sketch

#### heapifySketch

    public static <S extends Summary> Sketch<S> heapifySketch(org.apache.datasketches.memory.Memory mem,
                                                              SummaryDeserializer<S> deserializer)

Instantiate a Sketch from a given Memory.

Type Parameters:
  `S` - Type of Summary
Parameters:
  `mem` - Memory object representing a Sketch
  `deserializer` - instance of SummaryDeserializer
Returns:
  Sketch created from its Memory representation

#### heapifyUpdatableSketch

    public static <U,S extends UpdatableSummary<U>> UpdatableSketch<U,S> heapifyUpdatableSketch(org.apache.datasketches.memory.Memory mem,
                                                                                                SummaryDeserializer<S> deserializer,
                                                                                                SummaryFactory<S> summaryFactory)

Instantiate UpdatableSketch from a given Memory

Type Parameters:
  `U` - Type of update value
  `S` - Type of Summary
Parameters:
  `mem` - Memory object representing a Sketch
  `deserializer` - instance of SummaryDeserializer
  `summaryFactory` - instance of SummaryFactory
Returns:
  Sketch created from its Memory representation